Bug 995155 - ovirt-node wrongly removes bonding when it wants to remove all bonds
ovirt-node wrongly removes bonding when it wants to remove all bonds
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ovirt-node (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Deutsch
Fedora Extras Quality Assurance
node
:
Depends On:
Blocks: 918494
  Show dependency treegraph
 
Reported: 2013-08-08 12:34 EDT by Antoni Segura Puimedon
Modified: 2015-12-02 08:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:18:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17832 None None None Never

  None (edit)
Description Antoni Segura Puimedon 2013-08-08 12:34:29 EDT
Description of problem:
The ovirt-node network configurating component removes bonding when it considers that no bonds are necessary. This is problematic because vdsm needs bonding to be loaded (and in fact places vdsm.conf with bonding and other modules for systemd-modules-load) service to load them.

The correct way to remove all bondings that you want is to remove them one by one either by NETLINK (ip link del dev bondX type bond) which is only compatible with new kernels or writing to sysfs
echo "-bondX" > /sys/class/net/bonding_masters

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Don't configure bonds using the TUI

Actual results:
bonding is unloaded

Expected results:
bonds are removed but bonding is loaded

Additional info:
For backwars compatibility with the el6 spin, it should opt for the sysfs solution.
Comment 1 Fedora Admin XMLRPC Client 2013-10-09 11:55:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-01-09 17:40:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:18:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.